Index: /trunk/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 1329)
@@ -14,5 +14,4 @@
    !!   trc_sms_c14b  :  compute and add C14 suface forcing to C14 trends
    !!----------------------------------------------------------------------
-   USE daymod       ! calendar
    USE oce_trc      ! Ocean variables
    USE par_trc      ! TOP parameters
Index: /trunk/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 1329)
@@ -15,5 +15,4 @@
    !!   trc_cfc_cst :  sets constants for CFC surface forcing computation
    !!----------------------------------------------------------------------
-   USE daymod       ! calendar
    USE oce_trc      ! Ocean variables
    USE par_trc      ! TOP parameters
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zbio.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zbio.F90	(revision 1329)
@@ -128,5 +128,6 @@
 
 # if defined key_trc_dia3d && defined key_kriest
-      trc3d(:,:,:,jp_pcs0_3d + 10) = tra(:,:,:,jpcal) * xnegtr(:,:,:) * 1.e3 * rfact2r
+      trc3d(:,:,:,jp_pcs0_3d + 10) = tra(:,:,:,jpcal) &
+     &                              * xnegtr(:,:,:) * 1.e3 * rfact2r  * tmask(:,:,:)
 # endif
       !
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1329)
@@ -169,8 +169,8 @@
 # if defined key_trc_diaadd
             ! Save diagnostics
-            trc2d(ji,jj,jp_pcs0_2d    ) = ( zfld - zflu ) * 1000.
-            trc2d(ji,jj,jp_pcs0_2d + 1) = ( zfld16 - zflu16 ) * 1000.
-            trc2d(ji,jj,jp_pcs0_2d + 2) = zkgco2(ji,jj)
-            trc2d(ji,jj,jp_pcs0_2d + 3) = atcco2 - zh2co3(ji,jj) / ( chemc(ji,jj,1) + rtrn )
+            trc2d(ji,jj,jp_pcs0_2d    ) = ( zfld - zflu ) * 1000.  * tmask(ji,jj,1)
+            trc2d(ji,jj,jp_pcs0_2d + 1) = ( zfld16 - zflu16 ) * 1000. * tmask(ji,jj,1)
+            trc2d(ji,jj,jp_pcs0_2d + 2) = zkgco2(ji,jj) * tmask(ji,jj,1)
+            trc2d(ji,jj,jp_pcs0_2d + 3) = atcco2 - zh2co3(ji,jj) / ( chemc(ji,jj,1) + rtrn ) * tmask(ji,jj,1)
 # endif
          END DO
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zlys.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 1329)
@@ -66,5 +66,5 @@
       IF( kt == nittrc000  )   CALL p4z_lys_init      ! Initialization (first time-step only)
 
-
+      zco3(:,:,:) = 0.
 
       !     -------------------------------------------
@@ -150,8 +150,14 @@
       END DO
 
-# if defined key_trc_dia3d
-         trc3d(:,:,:,jp_pcs0_3d    ) = hi(:,:,:)
-         trc3d(:,:,:,jp_pcs0_3d + 1) = zco3(:,:,:)
-         trc3d(:,:,:,jp_pcs0_3d + 2) = aksp(:,:,:) / calcon
+# if defined key_trc_diaadd &&  defined key_trc_dia3d
+      DO jk = 1, jpk
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               trc3d(ji,jj,jk,jp_pcs0_3d    ) = hi  (ji,jj,jk)          * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 1) = zco3(ji,jj,jk)          * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 2) = aksp(ji,jj,jk) / calcon * tmask(ji,jj,jk)
+            ENDDO
+         ENDDO
+      ENDDO
 # endif
       !
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zopt.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zopt.F90	(revision 1329)
@@ -259,5 +259,5 @@
 
 # if defined key_trc_diaadd
-      trc2d(:,:,jp_pcs0_2d + 10) = heup(:,:)
+      trc2d(:,:,jp_pcs0_2d + 10) = heup(:,:) * tmask(:,:,1)
 # endif
       !
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zprod.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 1329)
@@ -359,17 +359,24 @@
       ENDIF
 
-#if defined key_trc_dia3d
+#if defined key_trc_diaadd && defined key_trc_dia3d
       zrfact2 = 1.e3 * rfact2r
       !   Supplementary diagnostics
-      trc3d(:,:,:,jp_pcs0_3d + 3)  = etot(:,:,:)
-      trc3d(:,:,:,jp_pcs0_3d + 4)  = zprorca(:,:,:)  * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 5)  = zprorcad(:,:,:) * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 6)  = zpronew(:,:,:)  * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 7)  = zpronewd(:,:,:) * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 8)  = zprorcad(:,:,:) * zysopt(:,:,:) * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 9) = zprofed(:,:,:) * zrfact2
+      DO jk = 1, jpk
+         DO jj = 1, jpj
+            DO ji = 1, jpi 
+               trc3d(ji,jj,jk,jp_pcs0_3d + 3)  = etot(ji,jj,jk)               * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 4)  = zprorca (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 5)  = zprorcad(ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 6)  = zpronew (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 7)  = zpronewd(ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 8)  = zprorcad(ji,jj,jk) * zrfact2 * tmask(ji,jj,jk) &
+     &                                         * zysopt(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 9)  = zprofed (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
 #if ! defined key_kriest
-      trc3d(:,:,:,jp_pcs0_3d + 10) = zprofen(:,:,:) * zrfact2
+               trc3d(ji,jj,jk,jp_pcs0_3d + 10) = zprofen (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
 #endif
+            ENDDO
+         ENDDO
+      ENDDO
 #endif
 
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zsed.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 1329)
@@ -330,6 +330,8 @@
       DO jj = 1,jpj
          DO ji = 1,jpi
-            trc2d(ji,jj,jp_pcs0_2d + 11) = zirondep(ji,jj,1) * 1.e+3 * rfact2r * fse3t(ji,jj,1)
-            trc2d(ji,jj,jp_pcs0_2d + 12) = znitrpot(ji,jj,1) * 1.e-7 * fse3t(ji,jj,1) * 1.e+3 / rfact2
+            trc2d(ji,jj,jp_pcs0_2d + 11) = zirondep(ji,jj,1) * 1.e+3 * rfact2r &
+      &                                   * fse3t(ji,jj,1) * tmask(ji,jj,1)
+            trc2d(ji,jj,jp_pcs0_2d + 12) = znitrpot(ji,jj,1) * 1.e-7 &
+      &                                   * fse3t(ji,jj,1) * 1.e+3 / rfact2 * tmask(ji,jj,1)
          END DO
       END DO
Index: /trunk/NEMO/TOP_SRC/PISCES/p4zsink.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/PISCES/p4zsink.F90	(revision 1329)
@@ -279,19 +279,32 @@
       END DO
 
-#    if defined key_trc_dia3d
+#if defined key_trc_diaadd
       zrfact2 = 1.e3 * rfact2r
-      trc2d(:,:,  jp_pcs0_2d + 4)   = sinking (:,:,iksed+1) * zrfact2
-      trc2d(:,:,  jp_pcs0_2d + 5)   = sinking2(:,:,iksed+1) * zrfact2
-      trc2d(:,:,  jp_pcs0_2d + 6)   = sinkfer (:,:,iksed+1) * zrfact2
-      trc2d(:,:,  jp_pcs0_2d + 8)   = sinksil (:,:,iksed+1) * zrfact2
-      trc2d(:,:,  jp_pcs0_2d + 9)   = sinkcal (:,:,iksed+1) * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 11) = sinking (:,:,:)       * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 12) = sinking2(:,:,:)       * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 13) = sinksil (:,:,:)       * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 14) = sinkcal (:,:,:)       * zrfact2
-      trc3d(:,:,:,jp_pcs0_3d + 15) = znum3d  (:,:,:)
-      trc3d(:,:,:,jp_pcs0_3d + 16) = wsbio3  (:,:,:)
-      trc3d(:,:,:,jp_pcs0_3d + 17) = wsbio4  (:,:,:)
-#    endif
+      DO jj = 1, jpj 
+         DO ji = 1, jpi
+            trc2d(ji,jj, jp_pcs0_2d + 4) = sinking (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 5) = sinking2(ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 6) = sinkfer (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 7) = sinksil (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 8) = sinkcal (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+         ENDDO
+      ENDDO
+#  if defined key_trc_dia3d
+      DO jk = 1, jpk
+         DO jj = 1, jpj
+            DO ji = 1, jpi
+               trc3d(ji,jj,jk,jp_pcs0_3d + 11) = sinking (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 12) = sinking2(ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 13) = sinksil (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 14) = sinkcal (ji,jj,jk) * zrfact2 * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 15) = znum3d  (ji,jj,jk)           * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 16) = wsbio3  (ji,jj,jk)           * tmask(ji,jj,jk)
+               trc3d(ji,jj,jk,jp_pcs0_3d + 17) = wsbio4  (ji,jj,jk)           * tmask(ji,jj,jk)
+            ENDDO
+         ENDDO
+      ENDDO
+#  endif
+
+#endif
       !
        IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
@@ -598,10 +611,14 @@
 # if defined key_trc_diaadd
       zrfact2 = 1.e3 * rfact2r
-      trc2d(:,:, jp_pcs0_2d + 4) = sinking (:,:,iksed+1) * zrfact2
-      trc2d(:,:, jp_pcs0_2d + 5) = sinking2(:,:,iksed+1) * zrfact2
-      trc2d(:,:, jp_pcs0_2d + 6) = sinkfer (:,:,iksed+1) * zrfact2
-      trc2d(:,:, jp_pcs0_2d + 7) = sinkfer2(:,:,iksed+1) * zrfact2
-      trc2d(:,:, jp_pcs0_2d + 8) = sinksil (:,:,iksed+1) * zrfact2
-      trc2d(:,:, jp_pcs0_2d + 9) = sinkcal (:,:,iksed+1) * zrfact2
+      DO jj = 1, jpj
+         DO ji = 1, jpi
+            trc2d(ji,jj, jp_pcs0_2d + 4) = sinking (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 5) = sinking2(ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 6) = sinkfer (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 7) = sinkfer2(ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 8) = sinksil (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+            trc2d(ji,jj, jp_pcs0_2d + 9) = sinkcal (ji,jj,iksed+1) * zrfact2 * tmask(ji,jj,1)
+         ENDDO
+      ENDDO
 # endif
       !
Index: /trunk/NEMO/TOP_SRC/SED/sed.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/SED/sed.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/SED/sed.F90	(revision 1329)
@@ -21,8 +21,13 @@
       rdt      =>   rdt         !: time step for the dynamics
 
-   USE daymod , ONLY :                 &
-      nyear     =>   nyear,   &  !: Current year
-      nmonth    =>   nmonth,  &  !: Current month
-      nday      =>   nday        !: Current day
+   USE daymod , ONLY :            &
+      nyear     =>   nyear    ,   & !: Current year
+      nmonth    =>   nmonth   ,   & !: Current month
+      nday      =>   nday     ,   & !: Current day
+      ndastp    =>   ndastp   ,   & !: time step date in year/month/day aammjj
+      nday_year =>   nday_year,   & !: curent day counted from jan 1st of the current year
+      adatrj    =>   adatrj         !: number of elapsed days since the begining of the run
+   !                                !: it is the accumulated duration of previous runs
+   !                                !: that may have been run with different time steps.
 
 
Index: /trunk/NEMO/TOP_SRC/SED/sedwri.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/SED/sedwri.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/SED/sedwri.F90	(revision 1329)
@@ -211,5 +211,5 @@
          ENDDO
 
-         !Fluxes
+         ! Fluxes
          DO jn = 1, jpdia2dsed
             cltra  = seddia2d(jn)   ! short title for 2D diagnostic
@@ -227,28 +227,26 @@
          WRITE(numsed,*) 'End of NetCDF sediment output file Initialization'
 
-      ELSE
-
-
-         ! Start writing data
-         ! ---------------------
-          DO jn = 1, jptrased
-             cltra = sedtrcd(jn) ! short title for 3D diagnostic
-             CALL histwrite( nised, cltra, it, trcsedi(:,:,:,jn), ndimt52, ndext52 )
-          END DO
-
-          DO jn = 1, jpdia3dsed
-             cltra = seddia3d(jn) ! short title for 3D diagnostic
-             CALL histwrite( nised, cltra, it, flxsedi3d(:,:,:,jn), ndimt52, ndext52 )
-          END DO
-
-          DO jn = 1, jpdia2dsed
+       ENDIF
+
+       ! Start writing data
+       ! ---------------------
+       DO jn = 1, jptrased
+          cltra = sedtrcd(jn) ! short title for 3D diagnostic
+          CALL histwrite( nised, cltra, it, trcsedi(:,:,:,jn), ndimt52, ndext52 )
+       END DO
+
+       DO jn = 1, jpdia3dsed
+          cltra = seddia3d(jn) ! short title for 3D diagnostic
+          CALL histwrite( nised, cltra, it, flxsedi3d(:,:,:,jn), ndimt52, ndext52 )
+       END DO
+
+       DO jn = 1, jpdia2dsed
              cltra = seddia2d(jn) ! short title for 2D diagnostic
              CALL histwrite( nised, cltra, it, flxsedi2d(:,:,jn  ), ndimt51, ndext51 )
-          END DO
-
-      ENDIF
-
-! 3. Closing all files
-! --------------------
+       END DO
+
+
+      ! 3. Closing all files
+      ! --------------------
       IF( kt == nitsedend  ) THEN
           CALL histclo( nised )
Index: /trunk/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/oce_trc.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/oce_trc.F90	(revision 1329)
@@ -143,4 +143,7 @@
    USE daymod  , ONLY :   nmonth    =>   nmonth      !: Current month
    USE daymod  , ONLY :   nday      =>   nday        !: Current day
+   USE daymod  , ONLY :   adatrj    =>   adatrj      !: number of elapsed days since the begining of the run
+   !                                                 !: it is the accumulated duration of previous runs
+   !                                                 !: that may have been run with different time steps.
 
    !* ocean fields: here now and after fields *
@@ -155,6 +158,12 @@
    USE oce , ONLY :   rhd     =>    rhd     !: in situ density anomalie rhd=(rho-rau0)/rau0 (no units)
    USE oce , ONLY :   hdivn   =>    hdivn   !: horizontal divergence (1/s)
-
-
+#if defined key_off_tra
+   USE oce , ONLY :   gtu     =>    gtu     !: t-, s- and rd horizontal gradient at u- and
+   USE oce , ONLY :   gsu     =>    gsu     !: v-points at bottom ocean level
+   USE oce , ONLY :   gru     =>    gru     !:
+   USE oce , ONLY :   gtv     =>    gtv     !:
+   USE oce , ONLY :   gsv     =>    gsv     !:
+   USE oce , ONLY :   grv     =>    grv     !: 
+#endif
    USE lib_mpp , ONLY :   lk_mpp    =>  lk_mpp       !: Mpp flag
 
Index: /trunk/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/trcdia.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/trcdia.F90	(revision 1329)
@@ -40,5 +40,5 @@
    INTEGER  ::   ndimt50   !: number of ocean points in index array
    INTEGER  ::   ndimt51   !: number of ocean points in index array
-   REAL(wp) ::   zjulian   !: ????   not DOCTOR !
+   REAL(wp) ::   xjulian   !: ????   not DOCTOR !
    INTEGER , DIMENSION (jpij*jpk) ::   ndext50   !: integer arrays for ocean 3D index
    INTEGER , DIMENSION (jpij)     ::   ndext51   !: integer arrays for ocean surface index
@@ -151,10 +151,10 @@
 
          ! Compute julian date from starting date of the run
-         CALL ymds2ju( nyear, nmonth, nday, rdt, zjulian )
-         zjulian = zjulian - adatrj   !   set calendar origin to the beginning of the experiment
+         CALL ymds2ju( nyear, nmonth, nday, rdt, xjulian )
+         xjulian = xjulian - adatrj   !   set calendar origin to the beginning of the experiment
          IF(lwp)WRITE(numout,*)' '  
          IF(lwp)WRITE(numout,*)' Date 0 used :', nittrc000                         &
             &                 ,' YEAR ', nyear, ' MONTH ', nmonth, ' DAY ', nday   &
-            &                 ,'Julian day : ', zjulian    
+            &                 ,'Julian day : ', xjulian    
          IF(lwp) WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,  &
             &                    ' limit storage in depth = ', ipk
@@ -168,5 +168,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,     &
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         & 
-            &          0, zjulian, zdt, nhorit5, nit5 , domain_id=nidom)
+            &          0, xjulian, zdt, nhorit5, nit5 , domain_id=nidom)
 ! Vertical grid for tracer : gdept
          CALL histvert( nit5, 'deptht', 'Vertical T levels', &
@@ -298,5 +298,5 @@
                CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,       &
                   &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,   &
-                  &          0, zjulian, rdt, nhorit6(jn),           &
+                  &          0, xjulian, rdt, nhorit6(jn),           &
                   &          nit6(jn) , domain_id=nidom )
 
@@ -536,5 +536,5 @@
          CALL histbeg( clhstnam, jpi, glamt, jpj, gphit,             &
             &          iimi, iima-iimi+1, ijmi, ijma-ijmi+1,         &
-            &          0, zjulian, zdt, nhoritd, nitd , domain_id=nidom )
+            &          0, xjulian, zdt, nhoritd, nitd , domain_id=nidom )
 
          ! Vertical grid for 2d and 3d arrays
@@ -682,5 +682,5 @@
          CALL histbeg(clhstnam, jpi, glamt, jpj, gphit,      &
             &    iimi, iima-iimi+1, ijmi, ijma-ijmi+1,          &
-            &    0, zjulian, rdt, nhoritb, nitb , domain_id=nidom)
+            &    0, xjulian, rdt, nhoritb, nitb , domain_id=nidom)
          ! Vertical grid for biological trends
          CALL histvert(nitb, 'deptht', 'Vertical T levels',  &
Index: /trunk/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/trcrst.F90	(revision 1328)
+++ /trunk/NEMO/TOP_SRC/trcrst.F90	(revision 1329)
@@ -24,5 +24,4 @@
    USE lib_mpp
    USE iom
-   USE daymod
    
    IMPLICIT NONE