Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1330)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1331)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
@@ -14904,5 +14904,4 @@
 	in_out_manager.F90 \
 	iom_def.F90 \
-	iom.F90 \
 	iom_ioipsl.F90 \
 	iom_nf90.F90 \
@@ -14919,5 +14918,4 @@
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -14930,6 +14928,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -14948,6 +14944,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -14961,8 +14955,6 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -15148,5 +15140,4 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
-	iom.F90 \
 	lbclnk.F90 \
 	ldfslp.F90 \
@@ -15158,5 +15149,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -15175,5 +15165,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -15202,5 +15191,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -15217,6 +15205,4 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \
@@ -15242,5 +15228,4 @@
 	dynspg_oce.F90 \
 	in_out_manager.F90 \
-	iom.F90 \
 	lbclnk.F90 \
 	ldfslp.F90 \
@@ -15252,5 +15237,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
 	$(MODEL_LIB)(ldfslp.o) \
@@ -15269,5 +15253,4 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(restart.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -15296,5 +15279,4 @@
 	phycst.F90 \
 	prtctl.F90 \
-	restart.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -15311,6 +15293,4 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1330)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1331)
@@ -11,5 +11,5 @@
 #-Q- platine L_X = $(L_O) 
 #-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
 #-Q- sx8mercure  L_X = $(L_O)
 #-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
@@ -103,7 +103,8 @@
      key_lobster \
      key_mpp_mpi \
-     key_mpp_omp \
      key_mpp_shmem \
      key_my_trc \
+     key_oasis3 \
+     key_oasis4 \
      key_obc \
      key_off_degrad \
@@ -140,5 +141,6 @@
      key_zdfddm \
      key_zdfkpp \
-     key_zdftke 
+     key_zdftke \
+     key_zdftke2 
 # .o file list in the library
 LIB_OBJ = \
@@ -665,4 +667,5 @@
 $(MODEL_LIB)(dtadyn.o) :	\
 	dom_oce.F90 \
+	eosbn2.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -675,4 +678,5 @@
 	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
@@ -725,4 +729,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
 	phycst.F90 \
@@ -732,4 +737,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zpshde.F90 \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
@@ -781,4 +787,5 @@
 	par_kind.F90 \
 	par_oce.F90 \
+	KEY_CPP \
 	in_out_manager.F90
 $(MODEL_LIB)(iom_def.o) :	\
@@ -1081,4 +1088,5 @@
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
+	$(AGRIF_LIB) \
 	KEY_CPP \
 	lib_mpp.F90
@@ -1274,4 +1282,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
 	oce.F90 \
@@ -1302,4 +1311,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zpshde.F90 \
 	zpshde_trc.F90 \
 	daymod.F90 \
@@ -2934,5 +2944,4 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
-	daymod.F90 \
 	dianam.F90 \
 	dom_oce.F90 \
@@ -2946,5 +2955,4 @@
 	lib_mpp.F90 \
 	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2984,4 +2992,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -3010,4 +3019,5 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	zpshde.F90 \
 	daymod.F90 \
 	dom_oce.F90 \
@@ -5856,5 +5866,4 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sbcrnf.o) \
@@ -5873,5 +5882,4 @@
 	par_trc.F90 \
 	phycst.F90 \
-	prtctl.F90 \
 	sbc_oce.F90 \
 	sbcrnf.F90 \
@@ -5885,8 +5893,6 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
 	iom.F90 \
 	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -6137,6 +6143,4 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \
@@ -6227,6 +6231,4 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
-	daymod.F90 \
-	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(par_trc.o) \