Index: /trunk/CONFIG/GYRE/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/GYRE/EXP00/AA_job	(revision 1353)
+++ /trunk/CONFIG/GYRE/EXP00/AA_job	(revision 1354)
@@ -37,16 +37,14 @@
 #-Q- sx8brodie ##PBS -l cpunum_job=4
 #-Q- sx8brodie ##PBS -q multi
-#-Q- sx6nec ##################
-#-Q- sx6nec ## SX6NEC   CEA ##
-#-Q- sx6nec ##################
-#-Q- sx6nec #PBS -N :XXX:XXX:XXX:        # job name
-#-Q- sx6nec #PBS -o output_XXXXXXX.1     # outputfile name
-#-Q- sx6nec #PBS -j o                    # merge standard error and output
-#-Q- sx6nec #PBS -S /usr/bin/ksh         # user shell
-#-Q- sx6nec #PBS -l memsz_job=500mb      # Max memory
-#-Q- sx6nec #PBS -l cputim_job=00:30:00   # Max CPU time
-#-Q- sx6nec #PBS -q prod
-#-Q- sx6nec ##PBS -l cpunum_prc=4
-#-Q- sx6nec ##PBS -q parallel
+#-Q- sx8mercure ##################
+#-Q- sx8mercure ## SX8NEC   CEA ##
+#-Q- sx8mercure ##################
+#-Q- sx8mercure #PBS -N :XXX:XXX:XXX:        # job name
+#-Q- sx8mercure #PBS -o output_XXXXXXX.1     # outputfile name
+#-Q- sx8mercure #PBS -j o                    # merge standard error and output
+#-Q- sx8mercure #PBS -S /usr/bin/ksh         # user shell
+#-Q- sx8mercure #PBS -l memsz_job=500mb      # Max memory
+#-Q- sx8mercure #PBS -l cputim_job=00:30:00   # Max CPU time
+#-Q- sx8mercure ##PBS -l cpunum_job=4
 ########################################################################
 ##
@@ -71,5 +69,5 @@
 #-Q- sx8brodie R_EXPER=${PBS_O_WORKDIR}
 #-Q- aix R_EXPER=${QSUB_WORKDIR:-${PWD}}
-#-Q- sx6nec R_EXPER=${PWD}
+#-Q- sx8mercure R_EXPER=${PWD}
 #- modipsl repository
 R_EXEDIR=MMMMMMM     
@@ -90,5 +88,5 @@
 #-Q- sx8brodie rcp ${LOGNAME}@brodie:${R_EXEDIR}/bin/opa opa.xx
 #-Q- aix cp ${R_EXEDIR}/bin/opa opa.xx
-#-Q- sx6nec cp ${R_EXEDIR}/bin/opa opa.xx
+#-Q- sx8mercure cp ${R_EXEDIR}/bin/opa opa.xx
 chmod 777 opa.xx
 
@@ -103,6 +101,6 @@
 #-Q- sx8brodie export F_PROGINF=yes
 #-Q- sx8brodie export F_ERRCNT=5
-#-Q- sx6nec export F_PROGINF=yes
-#-Q- sx6nec export F_ERRCNT=5
+#-Q- sx8mercure export F_PROGINF=yes
+#-Q- sx8mercure export F_ERRCNT=5
 
 #-Q- sxnec #- To be use for a mpp run
@@ -110,6 +108,6 @@
 #-Q- sx8brodie #- To be use for a mpp run
 #-Q- sx8brodie #mpirun -np ${NB_PROC} ./opa.xx
-#-Q- sx6nec #- To be use for a mpp run
-#-Q- sx6nec #mpirun -np ${NB_PROC} ./opa.xx
+#-Q- sx8mercure #- To be use for a mpp run
+#-Q- sx8mercure #mpirun -np ${NB_PROC} ./opa.xx
 
 ./opa.xx
@@ -121,6 +119,6 @@
 #-Q- sx8brodie DPUT=mfput
 #-Q- aix DPUT=mfput
-#-Q- sx6nec DPUT=putfer 
-#-Q- sx6nec [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
+#-Q- sx8mercure DPUT=cp 
+#-Q- sx8mercure [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
 
 #- Save ocean output files
Index: /trunk/CONFIG/GYRE_LOBSTER/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/GYRE_LOBSTER/EXP00/AA_job	(revision 1353)
+++ /trunk/CONFIG/GYRE_LOBSTER/EXP00/AA_job	(revision 1354)
@@ -37,16 +37,14 @@
 #-Q- sx8brodie ##PBS -l cpunum_job=4
 #-Q- sx8brodie ##PBS -q multi
-#-Q- sx6nec ##################
-#-Q- sx6nec ## SX6NEC   CEA ##
-#-Q- sx6nec ##################
-#-Q- sx6nec #PBS -N :XXX:XXX:XXX:        # job name
-#-Q- sx6nec #PBS -o output_XXXXXXX.1     # outputfile name
-#-Q- sx6nec #PBS -j o                    # merge standard error and output
-#-Q- sx6nec #PBS -S /usr/bin/ksh         # user shell
-#-Q- sx6nec #PBS -l memsz_job=500mb      # Max memory
-#-Q- sx6nec #PBS -l cputim_job=00:30:00   # Max CPU time
-#-Q- sx6nec #PBS -q prod
-#-Q- sx6nec ##PBS -l cpunum_prc=4
-#-Q- sx6nec ##PBS -q parallel
+#-Q- sx8mercure ##################
+#-Q- sx8mercure ## SX8NEC   CEA ##
+#-Q- sx8mercure ##################
+#-Q- sx8mercure #PBS -N :XXX:XXX:XXX:        # job name
+#-Q- sx8mercure #PBS -o output_XXXXXXX.1     # outputfile name
+#-Q- sx8mercure #PBS -j o                    # merge standard error and output
+#-Q- sx8mercure #PBS -S /usr/bin/ksh         # user shell
+#-Q- sx8mercure #PBS -l memsz_job=500mb      # Max memory
+#-Q- sx8mercure #PBS -l cputim_job=00:30:00   # Max CPU time
+#-Q- sx8mercure ##PBS -l cpunum_job=4
 ########################################################################
 ##
@@ -71,5 +69,5 @@
 #-Q- sx8brodie R_EXPER=${PBS_O_WORKDIR}
 #-Q- aix R_EXPER=${QSUB_WORKDIR:-${PWD}}
-#-Q- sx6nec R_EXPER=${PWD}
+#-Q- sx8mercure R_EXPER=${PWD}
 #- modipsl repository
 R_EXEDIR=MMMMMMM     
@@ -90,5 +88,5 @@
 #-Q- sx8brodie rcp ${LOGNAME}@brodie:${R_EXEDIR}/bin/opa opa.xx
 #-Q- aix cp ${R_EXEDIR}/bin/opa opa.xx
-#-Q- sx6nec cp ${R_EXEDIR}/bin/opa opa.xx
+#-Q- sx8mercure cp ${R_EXEDIR}/bin/opa opa.xx
 chmod 777 opa.xx
 
@@ -105,6 +103,6 @@
 #-Q- sx8brodie export F_PROGINF=yes
 #-Q- sx8brodie export F_ERRCNT=5
-#-Q- sx6nec export F_PROGINF=yes
-#-Q- sx6nec export F_ERRCNT=5
+#-Q- sx8mercure export F_PROGINF=yes
+#-Q- sx8mercure export F_ERRCNT=5
 
 #-Q- sxnec #- To be use for a mpp run
@@ -112,6 +110,6 @@
 #-Q- sx8brodie #- To be use for a mpp run
 #-Q- sx8brodie #mpirun -np ${NB_PROC} ./opa.xx
-#-Q- sx6nec #- To be use for a mpp run
-#-Q- sx6nec #mpirun -np ${NB_PROC} ./opa.xx
+#-Q- sx8mercure #- To be use for a mpp run
+#-Q- sx8mercure #mpirun -np ${NB_PROC} ./opa.xx
 
 ./opa.xx
@@ -123,6 +121,6 @@
 #-Q- sx8brodie DPUT=mfput
 #-Q- aix DPUT=mfput
-#-Q- sx6nec DPUT=putfer 
-#-Q- sx6nec [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
+#-Q- sx8mercure DPUT=cp 
+#-Q- sx8mercure [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
 
 #- Save ocean output files
Index: /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 1353)
+++ /trunk/CONFIG/ORCA2_LIM/EXP00/AA_job	(revision 1354)
@@ -37,16 +37,14 @@
 #-Q- sx8brodie ##PBS -l cpunum_job=4
 #-Q- sx8brodie ##PBS -q multi
-#-Q- sx6nec ##################
-#-Q- sx6nec ## SX6NEC   CEA ##
-#-Q- sx6nec ##################
-#-Q- sx6nec #PBS -N :XXX:XXX:XXX:        # job name
-#-Q- sx6nec #PBS -o output_XXXXXXX.1     # outputfile name
-#-Q- sx6nec #PBS -j o                    # merge standard error and output
-#-Q- sx6nec #PBS -S /usr/bin/ksh         # user shell
-#-Q- sx6nec #PBS -l memsz_job=3.6gb      # Max memory
-#-Q- sx6nec #PBS -l cputim_job=1:01:00   # Max CPU time
-#-Q- sx6nec #PBS -q prod
-#-Q- sx6nec ##PBS -l cpunum_prc=4
-#-Q- sx6nec ##PBS -q parallel
+#-Q- sx8mercure ##################
+#-Q- sx8mercure ## SX8NEC   CEA ##
+#-Q- sx8mercure ##################
+#-Q- sx8mercure #PBS -N :XXX:XXX:XXX:        # job name
+#-Q- sx8mercure #PBS -o output_XXXXXXX.1     # outputfile name
+#-Q- sx8mercure #PBS -j o                    # merge standard error and output
+#-Q- sx8mercure #PBS -S /usr/bin/ksh         # user shell
+#-Q- sx8mercure #PBS -l memsz_job=3.6gb      # Max memory
+#-Q- sx8mercure #PBS -l cputim_job=0:40:00   # Max CPU time
+#-Q- sx8mercure ##PBS -l cpunum_job=4
 ########################################################################
 ##
@@ -71,10 +69,10 @@
 #-Q- sx8brodie R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
 #-Q- aix R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
-#-Q- sx6nec R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
+#-Q- sx8mercure R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
 #- Launching run repository
 #-Q- sxnec R_EXPER=${QSUB_WORKDIR:-${PWD}}
 #-Q- sx8brodie R_EXPER=${PBS_O_WORKDIR}
 #-Q- aix R_EXPER=${QSUB_WORKDIR:-${PWD}}
-#-Q- sx6nec R_EXPER=${PWD}
+#-Q- sx8mercure R_EXPER=${PWD}
 #- modipsl repository
 R_EXEDIR=MMMMMMM     
@@ -95,5 +93,5 @@
 #-Q- sx8brodie Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 #-Q- aix Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
-#-Q- sx6nec Rapatrie () { [ -f $1/$2 ] || ( cp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
+#-Q- sx8mercure Rapatrie () { [ -f $1/$2 ] || ( cp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 
 [ -d ${R_TMP} ] || mkdir ${R_TMP}
@@ -104,5 +102,5 @@
 #-Q- sx8brodie rcp ${LOGNAME}@brodie:${R_EXEDIR}/bin/opa opa.xx
 #-Q- aix cp ${R_EXEDIR}/bin/opa opa.xx
-#-Q- sx6nec cp ${R_EXEDIR}/bin/opa opa.xx
+#-Q- sx8mercure cp ${R_EXEDIR}/bin/opa opa.xx
 chmod 777 opa.xx
 
@@ -127,6 +125,6 @@
 #-Q- sx8brodie export F_PROGINF=yes
 #-Q- sx8brodie export F_ERRCNT=5
-#-Q- sx6nec export F_PROGINF=yes
-#-Q- sx6nec export F_ERRCNT=5
+#-Q- sx8mercure export F_PROGINF=yes
+#-Q- sx8mercure export F_ERRCNT=5
 
 #-Q- sxnec #- To be use for a mpp run
@@ -134,6 +132,6 @@
 #-Q- sx8brodie #- To be use for a mpp run
 #-Q- sx8brodie #mpirun -np ${NB_PROC} ./opa.xx
-#-Q- sx6nec #- To be use for a mpp run
-#-Q- sx6nec #mpirun -np ${NB_PROC} ./opa.xx
+#-Q- sx8mercure #- To be use for a mpp run
+#-Q- sx8mercure #mpirun -np ${NB_PROC} ./opa.xx
 
 ./opa.xx
@@ -145,6 +143,6 @@
 #-Q- sx8brodie DPUT=mfput
 #-Q- aix DPUT=mfput
-#-Q- sx6nec DPUT=putfer 
-#-Q- sx6nec [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
+#-Q- sx8mercure DPUT=cp 
+#-Q- sx8mercure [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
 
 #- Save ocean output files
Index: /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 1353)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/AA_job	(revision 1354)
@@ -37,16 +37,14 @@
 #-Q- sx8brodie ##PBS -l cpunum_job=4
 #-Q- sx8brodie ##PBS -q multi
-#-Q- sx6nec ##################
-#-Q- sx6nec ## SX6NEC   CEA ##
-#-Q- sx6nec ##################
-#-Q- sx6nec #PBS -N :XXX:XXX:XXX:        # job name
-#-Q- sx6nec #PBS -o output_XXXXXXX.1     # outputfile name
-#-Q- sx6nec #PBS -j o                    # merge standard error and output
-#-Q- sx6nec #PBS -S /usr/bin/ksh         # user shell
-#-Q- sx6nec #PBS -l memsz_job=5gb      # Max memory
-#-Q- sx6nec #PBS -l cputim_job=3:00:00   # Max CPU time
-#-Q- sx6nec #PBS -q prod
-#-Q- sx6nec ##PBS -l cpunum_prc=4
-#-Q- sx6nec ##PBS -q parallel
+#-Q- sx8mercure ##################
+#-Q- sx8mercure ## SX8NEC   CEA ##
+#-Q- sx8mercure ##################
+#-Q- sx8mercure #PBS -N :XXX:XXX:XXX:        # job name
+#-Q- sx8mercure #PBS -o output_XXXXXXX.1     # outputfile name
+#-Q- sx8mercure #PBS -j o                    # merge standard error and output
+#-Q- sx8mercure #PBS -S /usr/bin/ksh         # user shell
+#-Q- sx8mercure #PBS -l memsz_job=7gb      # Max memory
+#-Q- sx8mercure #PBS -l cputim_job=2:00:00   # Max CPU time
+#-Q- sx8mercure ##PBS -l cpunum_job=4
 ########################################################################
 ##
@@ -71,10 +69,10 @@
 #-Q- sx8brodie R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
 #-Q- aix R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
-#-Q- sx6nec R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
+#-Q- sx8mercure R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
 #- Launching run repository
 #-Q- sxnec R_EXPER=${QSUB_WORKDIR:-${PWD}}
 #-Q- sx8brodie R_EXPER=${PBS_O_WORKDIR}
 #-Q- aix R_EXPER=${QSUB_WORKDIR:-${PWD}}
-#-Q- sx6nec R_EXPER=${PWD}
+#-Q- sx8mercure R_EXPER=${PWD}
 #- modipsl repository
 R_EXEDIR=MMMMMMM     
@@ -95,5 +93,5 @@
 #-Q- sx8brodie Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 #-Q- aix Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
-#-Q- sx6nec Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
+#-Q- sx8mercure Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 
 [ -d ${R_TMP} ] || mkdir ${R_TMP}
@@ -104,5 +102,5 @@
 #-Q- sx8brodie rcp ${LOGNAME}@brodie:${R_EXEDIR}/bin/opa opa.xx
 #-Q- aix cp ${R_EXEDIR}/bin/opa opa.xx
-#-Q- sx6nec cp ${R_EXEDIR}/bin/opa opa.xx
+#-Q- sx8mercure cp ${R_EXEDIR}/bin/opa opa.xx
 chmod 777 opa.xx
 
@@ -121,5 +119,4 @@
 Rapatrie ${R_TMP} ORCA2_LIM_nemo_v3.1.tar
 Rapatrie ${R_TMP} INPUTS_PISCES_v3.tar
-Rapatrie ${R_TMP} INPUTS_INIT_v3.tar
 
 ls -alF
@@ -129,6 +126,6 @@
 #-Q- sx8brodie export F_PROGINF=yes
 #-Q- sx8brodie export F_ERRCNT=5
-#-Q- sx6nec export F_PROGINF=yes
-#-Q- sx6nec export F_ERRCNT=5
+#-Q- sx8mercure export F_PROGINF=yes
+#-Q- sx8mercure export F_ERRCNT=5
 
 #-Q- sxnec #- To be use for a mpp run
@@ -136,6 +133,6 @@
 #-Q- sx8brodie #- To be use for a mpp run
 #-Q- sx8brodie #mpirun -np ${NB_PROC} ./opa.xx
-#-Q- sx6nec #- To be use for a mpp run
-#-Q- sx6nec #mpirun -np ${NB_PROC} ./opa.xx
+#-Q- sx8mercure #- To be use for a mpp run
+#-Q- sx8mercure #mpirun -np ${NB_PROC} ./opa.xx
 
 ./opa.xx
@@ -147,6 +144,6 @@
 #-Q- sx8brodie DPUT=mfput
 #-Q- aix DPUT=mfput
-#-Q- sx6nec DPUT=putfer 
-#-Q- sx6nec [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
+#-Q- sx8mercure DPUT=cp 
+#-Q- sx8mercure [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
 
 #- Save ocean output files
Index: /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job
===================================================================
--- /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job	(revision 1353)
+++ /trunk/CONFIG/ORCA2_OFF_PISCES/EXP00/AA_job	(revision 1354)
@@ -37,16 +37,14 @@
 #-Q- sx8brodie ##PBS -l cpunum_job=4
 #-Q- sx8brodie ##PBS -q multi
-#-Q- sx6nec ##################
-#-Q- sx6nec ## SX6NEC   CEA ##
-#-Q- sx6nec ##################
-#-Q- sx6nec #PBS -N :XXX:XXX:XXX:        # job name
-#-Q- sx6nec #PBS -o output_XXXXXXX.1     # outputfile name
-#-Q- sx6nec #PBS -j o                    # merge standard error and output
-#-Q- sx6nec #PBS -S /usr/bin/ksh         # user shell
-#-Q- sx6nec #PBS -l memsz_job=4.6gb      # Max memory
-#-Q- sx6nec #PBS -l cputim_job=3:30:00   # Max CPU time
-#-Q- sx6nec #PBS -q prod
-#-Q- sx6nec ##PBS -l cpunum_prc=4
-#-Q- sx6nec ##PBS -q parallel
+#-Q- sx8mercure ##################
+#-Q- sx8mercure ## SX8NEC   CEA ##
+#-Q- sx8mercure ##################
+#-Q- sx8mercure #PBS -N :XXX:XXX:XXX:        # job name
+#-Q- sx8mercure #PBS -o output_XXXXXXX.1     # outputfile name
+#-Q- sx8mercure #PBS -j o                    # merge standard error and output
+#-Q- sx8mercure #PBS -S /usr/bin/ksh         # user shell
+#-Q- sx8mercure #PBS -l memsz_job=4.6gb      # Max memory
+#-Q- sx8mercure #PBS -l cputim_job=3:30:00   # Max CPU time
+#-Q- sx8mercure ##PBS -l cpunum_job=4
 ########################################################################
 ##
@@ -71,10 +69,10 @@
 #-Q- sx8brodie R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
 #-Q- aix R_FORCING="gaya:/u/rech/eee/reee512/NEMO"
-#-Q- sx6nec R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
+#-Q- sx8mercure R_FORCING="/dmnfs10/cont003/p48ethe/FORCINGS/ORCA_R2/NEMO"
 #- Launching run repository
 #-Q- sxnec R_EXPER=${QSUB_WORKDIR:-${PWD}}
 #-Q- sx8brodie R_EXPER=${PBS_O_WORKDIR}
 #-Q- aix R_EXPER=${QSUB_WORKDIR:-${PWD}}
-#-Q- sx6nec R_EXPER=${PWD}
+#-Q- sx8mercure R_EXPER=${PWD}
 #- modipsl repository
 R_EXEDIR=MMMMMMM     
@@ -95,5 +93,5 @@
 #-Q- sx8brodie Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 #-Q- aix Rapatrie () { [ -f $1/$2 ] || ( rcp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
-#-Q- sx6nec Rapatrie () { [ -f $1/$2 ] || ( cp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
+#-Q- sx8mercure Rapatrie () { [ -f $1/$2 ] || ( cp ${R_FORCING}/$2 $1 ; cd $1; tar xvf $2 ;) }
 
 [ -d ${R_TMP} ] || mkdir ${R_TMP}
@@ -104,5 +102,5 @@
 #-Q- sx8brodie rcp ${LOGNAME}@brodie:${R_EXEDIR}/bin/opa opa.xx
 #-Q- aix cp ${R_EXEDIR}/bin/opa opa.xx
-#-Q- sx6nec cp ${R_EXEDIR}/bin/opa opa.xx
+#-Q- sx8mercure cp ${R_EXEDIR}/bin/opa opa.xx
 chmod 777 opa.xx
 
@@ -129,6 +127,6 @@
 #-Q- sx8brodie export F_PROGINF=yes
 #-Q- sx8brodie export F_ERRCNT=5
-#-Q- sx6nec export F_PROGINF=yes
-#-Q- sx6nec export F_ERRCNT=5
+#-Q- sx8mercure export F_PROGINF=yes
+#-Q- sx8mercure export F_ERRCNT=5
 
 #-Q- sxnec #- To be use for a mpp run
@@ -136,6 +134,6 @@
 #-Q- sx8brodie #- To be use for a mpp run
 #-Q- sx8brodie #mpirun -np ${NB_PROC} ./opa.xx
-#-Q- sx6nec #- To be use for a mpp run
-#-Q- sx6nec #mpirun -np ${NB_PROC} ./opa.xx
+#-Q- sx8mercure #- To be use for a mpp run
+#-Q- sx8mercure #mpirun -np ${NB_PROC} ./opa.xx
 
 ./opa.xx
@@ -147,6 +145,6 @@
 #-Q- sx8brodie DPUT=mfput
 #-Q- aix DPUT=mfput
-#-Q- sx6nec DPUT=putfer 
-#-Q- sx6nec [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
+#-Q- sx8mercure DPUT=cp 
+#-Q- sx8mercure [ -d ${R_SORTIE_OCE} ] || mkdir -p ${R_SORTIE_OCE}
 
 #- Save ocean output files