Index: trunk/NVTK/INSTALL/CONFIG_FILES/AA_make
===================================================================
--- trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1355)
+++ trunk/NVTK/INSTALL/CONFIG_FILES/AA_make	(revision 1356)
@@ -4,4 +4,5 @@
 ioipsl:
 #-Q- sx8brodie	(cd ../../modeles/IOIPSL/src; sxgmake;)
+#-Q- sx8mercure	(cd ../../modeles/IOIPSL/src; sxgmake;)
 #-Q- aix6	(cd ../../modeles/IOIPSL/src; gmake;)
 #-Q- osxxlf	(cd ../../modeles/IOIPSL/src; gmake;)
@@ -15,4 +16,6 @@
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
+	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
 	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
 	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
@@ -23,13 +26,13 @@
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_mon
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_ax6_mono_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_ax6_mono_mon
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/BIO_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix6.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mon  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mon
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
@@ -43,4 +46,6 @@
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
+	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
 	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
 	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
@@ -51,5 +56,7 @@
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_omp  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_omp
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
@@ -70,4 +77,6 @@
 ifneq ($(JOB),nojob)
 	cp ../NVTK/INSTALL/JOBS/job_$(NEMOLIB).ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/job_$(NEMOLIB).ksh
+	cp ../NVTK/INSTALL/JOBS/LOBSTER_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/LOBSTER_stat.ksh
+	cp ../NVTK/INSTALL/JOBS/PISCES_stat.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/PISCES_stat.ksh
 	cp -p ../NVTK/INSTALL/JOBS/lance_batch.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/lance_batch.ksh
 	cp -p ../NVTK/INSTALL/JOBS/assessment.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/assessment.ksh
@@ -78,13 +87,13 @@
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8brodie.ksh
 #-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8brodie.ksh
-#-Q- sx8brodie	cp ../NVTK/INSTALL/JOBS/BIO_sx8brodie.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_sx8brodie.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/jhd_sx8mercure_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_sx8mercure_mpi
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/CPU_time_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_sx8mercure.ksh
+#-Q- sx8mercure	cp ../NVTK/INSTALL/JOBS/MEM_size_sx8mercure.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_sx8mercure.ksh
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/jhd_aix6_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_aix6_mpi
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/CPU_time_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_aix6.ksh
 #-Q- aix6	cp ../NVTK/INSTALL/JOBS/MEM_size_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_aix6.ksh
-#-Q- aix6	cp ../NVTK/INSTALL/JOBS/BIO_aix6.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_aix6.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/jhd_osxxlf_mpi  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/jhd_osxxlf_mpi
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/CPU_time_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/CPU_time_osxxlf.ksh
 #-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/MEM_size_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/MEM_size_osxxlf.ksh
-#-Q- osxxlf	cp ../NVTK/INSTALL/JOBS/BIO_osxxlf.ksh  $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/BIO_osxxlf.ksh
 	( cd $(WWDIR)/NEMO_VALID/W$(NEMOLIB)/$@/ ; ./lance_batch.ksh $(NEMOLIB) $(MKTE) $(JOB) $(REXP) $(RTG) ; )
 endif
Index: trunk/NVTK/INSTALL/JOBS/assessment.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1355)
+++ trunk/NVTK/INSTALL/JOBS/assessment.ksh	(revision 1356)
@@ -72,5 +72,5 @@
 REV_USE=$( (awk '/Revision:/ {print $2}' specifs.txt) )
 TITLE="NEMO VALIDATION ${EXPER} : $CONF on $TARGET"
-EMAIL='ctlod@locean-ipsl.upmc.fr'
+EMAIL='cethe@lsce.ipsl.fr'
 
 \rm endjob.txt 2> /dev/null
@@ -477,21 +477,20 @@
 
     if [ ${runt} != 'mon' ] ; then
-        echo "                                                    " >> endjob.txt
-        echo "   ---> Reproductibility mon .vs. ${runt} ? :       " >> endjob.txt
-        echo "        -------------------------------------       " >> endjob.txt
-
-        filemon="mon/LONG/${EXPER}/solver.stat" ;  filexxx="${runt}/LONG/${EXPER}/solver.stat"
-        xfilemon=0
-
-        checkfile ${filemon} 'endjob.txt' NORM yes yes ; xfilemon=$?
-        checkfile ${filexxx} 'endjob.txt' NORM no  yes ; xfilemon=$?
+
+        if  [ ${CONF} != 'ORCA2_OFF_PISCES' ] ; then
+           echo "                                                          " >> endjob.txt
+           echo "   ---> Ocean Reproductibility mon .vs. ${runt} ? :       " >> endjob.txt
+           echo "        -------------------------------------------       " >> endjob.txt
+
+           filemon="mon/LONG/${EXPER}/solver.stat" ;  filexxx="${runt}/LONG/${EXPER}/solver.stat"
+           xfilemon=0
+
+           checkfile ${filemon} 'endjob.txt' NORM yes yes ; xfilemon=$?
+           checkfile ${filexxx} 'endjob.txt' NORM no  yes ; xfilemon=$?
         
-        mak_diff_file -x ${xfilemon} -a ${filemon} -b ${filexxx} -r ${runt} -s LONG -k repro
+           mak_diff_file -x ${xfilemon} -a ${filemon} -b ${filexxx} -r ${runt} -s LONG -k repro
+        fi
         
-        if [ ${CONF} = 'GYRE_LOBSTER' ] ; then
-            echo "                                                    " >> endjob.txt
-            echo "   ---> BIO Reproductibility mon .vs. ${runt} ? :   " >> endjob.txt
-            echo "        -----------------------------------------   " >> endjob.txt
-
+        if [ ${CONF} = 'GYRE_LOBSTER' -o ${CONF} = 'ORCA2_LIM_PISCES' -o ${CONF} = 'ORCA2_OFF_PISCES' ] ; then
             # check that ocean.output files exist
             filemon="mon/LONG/${EXPER}/ocean.output" ;  filexxx="${runt}/LONG/${EXPER}/ocean.output"
@@ -504,6 +503,17 @@
             filemon="mon/LONG/${EXPER}/tracer.stat" ;  filexxx="${runt}/LONG/${EXPER}/tracer.stat"
             xfilemon=0
-            
-            ./BIO_${TARGET}.ksh -a ${filemon} -b ${filexxx} -c ocean.output
+            if [ ${CONF} = 'GYRE_LOBSTER' ] ; then
+               echo "                                                        " >> endjob.txt
+               echo "   ---> LOBSTER Reproductibility mon .vs. ${runt} ? :   " >> endjob.txt
+               echo "        ---------------------------------------------   " >> endjob.txt
+
+               ./LOBSTER_stat.ksh -a ${filemon} -b ${filexxx} -c ocean.output
+            else
+               echo "                                                        " >> endjob.txt
+               echo "   ---> PISCES  Reproductibility mon .vs. ${runt} ? :   " >> endjob.txt
+               echo "        ---------------------------------------------   " >> endjob.txt
+
+               ./PISCES_stat.ksh -a ${filemon} -b ${filexxx} -c ocean.output
+            fi
 
             checkfile ${filemon} 'endjob.txt' NORM yes ; xfilemon=$?
@@ -527,25 +537,22 @@
 
 for runt in ${LRTYPE} ; do
-
-    echo "                                                    " >> endjob.txt
-    echo "   ---> ${runt} restartability ? :                  " >> endjob.txt
-    echo "        --------------------------                  " >> endjob.txt
-
-    file1="${runt}/1_SHORT/${EXPER}/solver.stat" ;  file2="${runt}/2_SHORT/${EXPER}/solver.stat" ; file3="${runt}/LONG/${EXPER}/solver.stat"
-    xfile1=0
+    if  [ ${CONF} != 'ORCA2_OFF_PISCES' ] ; then
+       echo "                                                          " >> endjob.txt
+       echo "   ---> ${runt} ocean restartability ? :                  " >> endjob.txt
+       echo "        --------------------------------                  " >> endjob.txt
+
+       file1="${runt}/1_SHORT/${EXPER}/solver.stat" ;  file2="${runt}/2_SHORT/${EXPER}/solver.stat" ; file3="${runt}/LONG/${EXPER}/solver.stat"
+       xfile1=0
+       #-------
+       checkfile ${file1} 'endjob.txt' NORM yes yes ; xfile1=$?
+       checkfile ${file2} 'endjob.txt' NORM no  yes ; xfile1=$?
+       #
+       cat ${file1} ${file2}  > short_solver_${runt}.stat
+       mak_diff_file -x ${xfile1} -a ${file3} -b short_solver_${runt}.stat -r ${runt} -k resta
+       \rm short_solver_${runt}.stat
+    fi 
     #-------
-    checkfile ${file1} 'endjob.txt' NORM yes yes ; xfile1=$?
-    checkfile ${file2} 'endjob.txt' NORM no  yes ; xfile1=$?
-    #
-    cat ${file1} ${file2}  > short_solver_${runt}.stat
-    mak_diff_file -x ${xfile1} -a ${file3} -b short_solver_${runt}.stat -r ${runt} -k resta
-    \rm short_solver_${runt}.stat
-    
-    #-------
-
-    if [ ${CONF} = 'GYRE_LOBSTER' ] ; then
-        echo "                                                    " >> endjob.txt
-        echo "   ---> ${runt} BIO restartability ? :              " >> endjob.txt
-        echo "        ------------------------------              " >> endjob.txt
+
+    if [ ${CONF} = 'GYRE_LOBSTER' -o ${CONF} = 'ORCA2_LIM_PISCES' -o ${CONF} = 'ORCA2_OFF_PISCES' ] ; then
 
        # check that ocean.output files exist
@@ -560,5 +567,18 @@
         xfile1=0
 
-        ./BIO_${TARGET}.ksh -a ${file1} -b ${file2} -c ocean.output
+        if [ ${CONF} = 'GYRE_LOBSTER' ] ; then
+           echo "                                                        " >> endjob.txt
+           echo "   ---> ${runt} LOBSTER restartability ? :              " >> endjob.txt
+           echo "        ----------------------------------              " >> endjob.txt
+
+           ./LOBSTER_stat.ksh -a ${file1} -b ${file2} -c ocean.output
+        else
+           echo "                                                        " >> endjob.txt
+           echo "   ---> ${runt} PISCES  restartability ? :              " >> endjob.txt
+           echo "        ---------------------------------------------   " >> endjob.txt
+
+           ./PISCES_stat.ksh -a ${file1} -b ${file2} -c ocean.output
+        fi
+
 
         checkfile ${file1} 'endjob.txt' NORM yes ; xfile1=$?
Index: trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh	(revision 1355)
+++ trunk/NVTK/INSTALL/JOBS/cron_jobs.ksh	(revision 1356)
@@ -17,15 +17,6 @@
 
 CONF=$1
+CONFS=$2
 LJOBS=qstat
-
-if [ ${CONF} == 'ORCA2_LIM' ] ; then
-CONFS=ORCA2
-elif [ ${CONF} == 'GYRE_LOBSTER' ] ; then
-CONFS=GYRE_
-elif [ ${CONF} == 'ZAGRIF' ] ; then
-CONFS=ZAGRI
-else
-CONFS=${CONF}
-fi
 
 JOBS_LIST=` ${LJOBS} |  grep -c ${CONFS}`
@@ -37,5 +28,5 @@
 fi
 sleep 300
-./cron_jobs.ksh ${CONF} &
+./cron_jobs.ksh ${CONF} ${CONFS} &
 exit
 
Index: trunk/NVTK/INSTALL/JOBS/lance_batch.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1355)
+++ trunk/NVTK/INSTALL/JOBS/lance_batch.ksh	(revision 1356)
@@ -59,7 +59,7 @@
 # PRC       : total number of processors which will be used
 ##########################################################
-IODIR=/Volumes/FENUA/ORCA2_LIM_nemo_v2_IO
+IODIR=/u/rech/eee/reee512/NEMO/
 PRC=8
-TARGET=osxxlf
+TARGET=sx8brodie
 ##########################################################
 ##### End   Users modifications
@@ -135,4 +135,20 @@
 #     Adapt header (batch jobs) and concatanate it with core job
 # --------------------------------------------------------------
+if [ ${CONF} == 'ORCA2_LIM' ] ; then
+CONFS=ORCA2
+elif [ ${CONF} == 'GYRE' ] ; then
+CONFS=GYREO
+elif [ ${CONF} == 'GYRE_LOBSTER' ] ; then
+CONFS=GYREL
+elif [ ${CONF} == 'ORCA2_LIM_PISCES' ] ; then
+CONFS=OR2LP
+elif [ ${CONF} == 'ORCA2_OFF_PISCES' ] ; then
+CONFS=OR2OP
+elif [ ${CONF} == 'ZAGRIF' ] ; then
+CONFS=ZAGRI
+else
+CONFS=${CONF}
+fi
+
 case ${TARGET} in
      'osxxlf' )
@@ -140,10 +156,10 @@
      'ax6_mono' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
-          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONF}%" \
+          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONFS}%" \
           jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp  ;;
      'aix6' )
           CAR_JNAM=$( grep '\# @ job_name' jhd_${TARGET}_${RUN} )
           CAR_JMPI=$( grep '\# @ total_tasks' jhd_${TARGET}_${RUN} )
-          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONF}%" \
+          sed    -e "s%$CAR_JNAM%\# @ job_name = ${RUN}${CONFS}%" \
           -e "s%$CAR_JMPI%\# @ total_tasks = ${PRC}%" \
           jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp  ;;
@@ -154,13 +170,13 @@
           if [ ${RUN} = 'mpi' -o ${RUN} = 'omp' ] ; then
               CAR_JMPI=$( grep '\#PBS -l cpunum_job' jhd_${TARGET}_${RUN} )
-              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONF}%" \
-              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONF}_std%" \
-              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONF}_err%" \
+              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONFS}%" \
+              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONFS}_std%" \
+              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONFS}_err%" \
               -e "s%$CAR_JMPI%\#PBS -l cpunum_job=${PRC}%" \
               jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp
           else
-              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONF}%" \
-              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONF}_std%" \
-              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONF}_err%" \
+              sed    -e "s%$CAR_JNAM%\#PBS -N  ${RUN}${CONFS}%" \
+              -e "s%$CAR_JNAMO%\#PBS -o  ${RUN}${CONFS}_std%" \
+              -e "s%$CAR_JNAME%\#PBS -e  ${RUN}${CONFS}_err%" \
               jhd_${TARGET}_${RUN} > jhd_${TARGET}_${RUN}_tmp
           fi ;;
@@ -296,5 +312,5 @@
 
     if [ ${TARGET} != 'osxxlf' ]; then
-        ./cron_jobs.ksh ${CONF} &
+        ./cron_jobs.ksh ${CONF} ${CONFS} &
     fi
 fi
Index: trunk/NVTK/INSTALL/ins_nvtk.ksh
===================================================================
--- trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1355)
+++ trunk/NVTK/INSTALL/ins_nvtk.ksh	(revision 1356)
@@ -62,9 +62,11 @@
 
 # Standard configurations
-NBCFG=4
+NBCFG=6
 CONF[0]=ORCA2_LIM
 CONF[1]=GYRE
 CONF[2]=GYRE_LOBSTER
-CONF[3]=ZAGRIF
+CONF[3]=ORCA2_LIM_PISCES
+CONF[4]=ORCA2_OFF_PISCES
+CONF[5]=ZAGRIF
 LCLDIR=`pwd`
 
Index: trunk/NVTK/Makefile
===================================================================
--- trunk/NVTK/Makefile	(revision 1355)
+++ trunk/NVTK/Makefile	(revision 1356)
@@ -31,5 +31,5 @@
 #-
 #- Configurations list which must be tested
-LISTE_CONF = GYRE GYRE_LOBSTER ORCA2_LIM
+LISTE_CONF = GYRE GYRE_LOBSTER ORCA2_LIM ORCA2_LIM_PISCES ORCA2_OFF_PISCES
 #-
 #- Jobs to launch use keyword: nojob, all, long, short or gtime
Index: trunk/NVTK/cfg.txt
===================================================================
--- trunk/NVTK/cfg.txt	(revision 1355)
+++ trunk/NVTK/cfg.txt	(revision 1356)
@@ -3,3 +3,4 @@
 ZAGRIF OPA_SRC LIM_SRC_2 C1D_SRC NST_SRC
 GYRE_LOBSTER OPA_SRC LIM_SRC_2 C1D_SRC TOP_SRC
-
+ORCA2_LIM_PISCES OPA_SRC LIM_SRC_2 C1D_SRC TOP_SRC
+ORCA2_OFF_PISCES OFF_SRC TOP_SRC